query listSector @auth(level: USER) {
  sectors {
    id
    sectorNumber
    sectorName
    sectorType
  }
}

query getSectorById(
  $id: UUID!
) @auth(level: USER) {
  sector(id: $id) {
    id
    sectorNumber
    sectorName
    sectorType
  }
}

query filterSector(
  $sectorNumber: String,
  $sectorName: String,
  $sectorType: SectorType
) @auth(level: USER) {
  sectors(
    where: {
      sectorNumber: { eq: $sectorNumber }
      sectorName: { eq: $sectorName }
      sectorType: { eq: $sectorType }
    }
  ) {
    id
    sectorNumber
    sectorName
    sectorType
  }
}
